dpkg-genchanges(1)

NAZWA
dpkg-genchanges - tworzy pliki .changes

SKŁADNIA
dpkg-genchanges [opcje]

OPIS
dpkg-genchanges czyta informacje z rozpakowanego i zbudowanego drzewa pakietu źródłowego Debiana oraz z plików, które wygenerował, i na ich podstawie tworzy plik kontrolny wydania (plik .changes).

OPCJE

-b, -B, -A
    Określa, że wykonywane jest budowanie tylko pakietów binarnych (bez włączania jakichkolwiek plików źródłowych). Nie ma różnicy między -b, -B i -A, wygenerowany plik .changes będzie zawierać wszystkie pliki utworzone przez reguły binary-* budowanych właśnie pakietów.

-S  Określa, że tylko źródła będą dołączone do wydania (bez żadnych pakietów binarnych).

Opcje -sx określają, czy do wydania dołączane są oryginalne pliki źródłowe, jeżeli zostanie wygenerowany choć jeden z nich (tj. nie użyto opcji -b lub -B).

-si Domyślnie lub jeśli to określono, oryginalne źródła będą dołączone tylko jeśli numer oryginalnej wersji autora programu (tzn. wersja bez epoki i bez numeru rewizji Debiana) różni się od numeru wersji autora programu z poprzedniego wpisu dziennika zmian.

-sa Wymusza dołączenie oryginalnych źródeł.

-sd Wymusza pominięcie oryginalnych źródeł i dołączenie tylko pliku różnic (diff).

-vwersja
    Powoduje, że będą używane informacje z dziennika zmian ze wszystkich wersji większych niż wersja.

-Copis_zmian
    Czyta opis zmian z pliku opis_zmian, zamiast używać informacji z dziennika zmian z katalogu ze źródłami.

-madres opiekuna
    Używa adresu_opiekuna jako nazwy i adresu e-mail opiekuna tego pakietu, zamiast pobierać te wartości z pliku kontrolnego z katalogu ze źródłami.

-eadres_opiekuna
    Używa adresu_opiekuna jako nazwy i adresu e-mail opiekuna tego wydania, zamiast pobierać te wartości z dziennika zmian z katalogu ze źródłami.

-Vnazwa=wartość
    Ustawia zmienną podstawienia wyjścia. Szczegółowy opis podstawiania zmiennych wyjściowych znajduje się w deb-substvars(5).

-Tplik_zmiennych_podst
    Odczytuje zmienne podstawiania z pliku_zmiennych_podst; domyślnie jest to debian/substvars. Nie są robione żadne podstawiania na żadnym z pól, które są wypisywane na wyjściu, jednakże specjalna zmienna Format nadpisze pole o tej samej nazwie.

-Dpole=wartość
    Nadpisuje lub dodaje wyjściowe pole pliku kontrolnego.

-Upole
    Usuwa wyjściowe pole pliku kontrolnego.

-cplik_kontrolny
    Określa główny plik kontrolny, z którego będą czytane informacje. Domyślnie jest to debian/control.

-ldziennik_zmian
    Określa dziennik zmian, z którego będą czytane informacje. Domyślnym plikiem jest debian/changelog.

-fplik_z_listą_plików
    Czyta z tego pliku listę plików do wydania zamiast używać debian/files.

-Fformat_dziennika_zmian
    Określa format dziennika zmian. Domyślnie format jest czytany ze specjalnej linii znajdującej się przy końcu pliku lub - jeśli taka linia nie istnieje - używany jest standardowy format Debiana.

-ukatalog_z_plikami_wydania
    Poszukuje plików, które mają być dołączone do wydania w katalogu_z_plikami_wydania zamiast w katalogu .. (dpkg-genchanges musi znaleźć te pliki, tak żeby móc zapisać ich rozmiary oraz sumy kontrolne w pliku .changes).

-q  Zazwyczaj dpkg-genchanges na standardowym wyjściu błędów wypisze komunikaty informujące na przykład o liczbie plików wygenerowanych źródłowych pakietu. -q powstrzymuje wypisywanie takich komunikatów

-h, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

PLIKI

debian/files
    Lista wygenerowanych plików, które są częścią przygotowywanego wydania. dpkg-genchanges czyta stąd dane podczas tworzenia pliku .changes.

AUTORZY
Copyright © 1995-1996 Ian Jackson
Copyright © 2000 Wichert Akkerman

Niniejszy program jest oprogramowaniem wolnym, sprawdź Powszechną Licencję Publiczną GNU w wersji drugiej lub późniejszej, by dowiedzieć się o warunkach dystrybucji. Brak JAKIEJKOLWIEK gwarancji.

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008